/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "qcheckbutton.h"
#include <QMessageBox>

QCheckButton::QCheckButton(QString text, QWidget * parent)
 : QPushButton(text, parent)
{
	setAutoFillBackground(true);
	setCheckable ( true );
	connect(this,SIGNAL(clicked( bool )), this, SLOT(setCheckState( bool )));

}

QCheckButton::~QCheckButton()
{

}





/*!
    \fn QCheckButton::setCeckState( bool state)
 */
void QCheckButton::setCheckState( bool state)
{
	if (isChecked() != state) setChecked(state);
	QPalette pal;
	pal = palette();
	if (state) pal.setColor(QPalette::Button,Qt::green);
	else pal.setColor(QPalette::Button,Qt::red);
	setPalette(pal);
	emit stateChanged ( state );
}
